Page MenuHomePhabricator

A way for people interested in technical collaboration to stay in touch
Closed, ResolvedPublic

Description

At T131471: WMF Technical Collaboration meet and greet we agreed that it would be a good idea to stay in touch and have a way to allow other people interested in technical collaboration in Wikimedia to join.

There is people already working in this field, and these conversations are already happening, so there is no rush to "create"a new space. This is more about formalizing a group and make it more visible and accessible for others interested.

Event Timeline

Qgil created this task.Apr 3 2016, 9:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2016, 9:40 AM
Qgil triaged this task as Low priority.Apr 3 2016, 9:41 AM
Qgil updated the task description. (Show Details)
Elitre added a subscriber: Elitre.Apr 13 2016, 2:35 PM

Isn't this at least loosely related to T130533?

What way to stay in touch are you thinking for T130533?

Identifying interested parties, listing them somewhere is the first step to involve them further, IMHO.
(I should have commented there, that this task looked vaguely related!)

Qgil raised the priority of this task from Low to Normal.Apr 25 2016, 9:27 AM
Qgil raised the priority of this task from Normal to High.Apr 29 2016, 12:18 PM

@Quiddity suggests the idea of tagging along the Volunteer Supporters Network and using their volunteer-supporters mailing list.

I feel bad for not knowing much about this initiative, but in principle I am all for contributing to existing platforms rather than trying to pull new ones. If the topic of technical collaboration and our discussions are welcome there, we could use and contribute to that space indeed.

PS: I have CCed some members of this network with Phabricator accounts for a start, but I can send a more formal communication to the group / the list if needed. Also, if you have questions about the motivation to push forward topics of technical collaboration, just ask here or in the venue you prefer. All this started at {T131471: WMF Technical Collaboration meet and greet}.

Volunteer Supporters Network can be a good start: some chapters have initiatives concerning technical development. For example @Sylvain_WMFr is in charge of gathering technical development volunteers at Wikimédia France, @Pierre_Antoine_WMFr is more on the contributors (contents) side.
Send a message to that list may help to find the most relevant interlocutors.

VSN though is an affiliates' initiative. It is my understanding that (despite what my opinions are about this) affiliates in the broad sense of the word like the idea of being considered a separate entity from the communities (this shouldn't need much evidence - they even get to select Board members via a different process. In Berlin, it was even suggested that things like the WMF annual plans in the future are initially shared with that audience in advance.). What I'm trying to say is that this is a great first step, but enlisting people from the chapters shouldn't be a goal in itself - the goal is getting their help in involving more communities members than the ones they can suggest/think of, and that may probably want to interact with us via specific channels like affiliates-related mailing lists (and maybe experiments like Telegram groups? it seemed to be successful in Berlin.)

What our Technical Collaboration team strategy has to say in relation to affiliates:

Requirements

  • Partnering with Wikimedia teams. The Wikimedia movement can provide a lot of energy to technical projects and their contributors. It is essential to work together with Wikimedia Foundation teams, Wikimedia chapters, and user groups.

Processes
We will exploit the possibilities for communication and promotion within the Wikimedia movement and outside, using the Wikipedia trademark, processes for on-wiki communication targeting editors and readers, and external communication channels supported by the WMF Communications team and Wikimedia chapters.
We will invite Wikimedia chapters and other organized groups to get involved in our strategy, expanding our campaigns to their regions, languages, and areas of specialization, organizing local activities.

I agree with @Elitre that isn't a goal in itself. Not the end, but an important start.

Qgil closed this task as Resolved.Jun 1 2016, 2:22 PM

After a cautious wait, I think this task is ready for a decision: let's use the volunteer-supporters mailing list.

I will communicate this to the people that participated in the meeting in Jerusalem as I work on the next task, T108647: Two blog posts about Technical Collaboration's annual plan programs. I want to send that email before Wikimania, encouraging people interested to have another casual chat at Wikimania-Hackathon-2016 and to chat with any of the Technical Collaboration team members in Esino Lario.

Thank you to @Quiddity for pointing me in this direction and thank you to the Volunteer Supporters Network members and others who provided feedback to complete this task.